Foreman - Bug #14572

selecting template while creating compute profile should automatically populate network and storage
04/11/2016 06:44 AM - lvan Necas

Status: Closed
Priority: Normal
Assignee: Ivan Necas
Category: Compute resources - oVirt
Target version: 1.11.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1321549 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3411
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1321549
Description of problem:
selecting template while creating compute profile should automatically populate network and storage info associated to it.

Version-Release number of selected component (if applicable):
Sat62-snap5

How reproducible:

Steps to Reproduce:

1. Add RHEV compute resource

2. Update or create a compute profile, by selecting a template.
3.

Actual results:
selecting template while creating compute profile does not automatically populate network and storage info associated to it.

the Ul shows up a spinner continuously.

Expected results:
selecting template while creating compute profile should automatically populate network and storage info associated to it.

Additional info:

Associated revisions

Revision deda3a77 - 04/12/2016 03:07 AM - Ilvan Necas

Fixes #14572 - fix updating storage in compute profiles based on template

Revision cb6bed5a - 04/18/2016 01:45 PM - Ilvan Necas

Fixes #14572 - fix updating storage in compute profiles based on template

(cherry picked from commit deda3a7795fd65610590c3d3b6e58f957cedabdb)

History

#1 - 04/11/2016 06:51 AM - Dominic Cleal
- Category changed from Compute resources to Compute resources - oVirt

- Status changed from New to Assigned

#2 - 04/11/2016 06:55 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3411 added
#3 - 04/12/2016 03:09 AM - Marek Hulan

- translation missing: en.field_release set to 136

#4 - 04/12/2016 03:10 AM - Marek Hulan

- translation missing: en.field_release changed from 136 to 141

Actually it's related to #10978 which is set to 1.11.1, should be easy to cherry-pick. Feel free to reset.

#5 - 04/12/2016 04:01 AM - Ivan Necas
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset deda3a7795fd65610590c3d3b6e58f957cedabdb.
